summaryrefslogtreecommitdiff
path: root/buildbot/checks.sh
diff options
context:
space:
mode:
Diffstat (limited to 'buildbot/checks.sh')
-rwxr-xr-xbuildbot/checks.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/buildbot/checks.sh b/buildbot/checks.sh
index 0db64a7..7949da5 100755
--- a/buildbot/checks.sh
+++ b/buildbot/checks.sh
@@ -122,4 +122,21 @@ if ! test 200 = $http_status_code; then
exit 1
fi
+
+if test "test" = ${DEPLOYMENT}; then
+ URL="https://twister-backend.wild.gv.taler.net"
+ http_status_code=$(curl \
+ -H "X-Taler-Deployment-Color: ${NONACTIVE_COLOR}" \
+ -s $URL -o /dev/null \
+ -w "%{http_code}")
+ if ! test 200 = $http_status_code; then
+ printf "%s failed\n" $URL
+ printf "$error_fmt" \
+ "Twister did not restart correctly"
+ $http_status_code $? "$(error_stringify $?)"
+ exit 1
+ fi
+fi
+
+
printf "All services correctly restarted!\n"